## org.eclipse.emf.cdo.defs.impl
Class EDynamicPackageDefImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.net4j.util.defs.impl.DefImpl
                      org.eclipse.emf.cdo.defs.impl.EPackageDefImpl
                          org.eclipse.emf.cdo.defs.impl.EDynamicPackageDefImpl

All Implemented Interfaces:
  EDynamicPackageDef, EPackageDef, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.net4j.util.defs.Def

    public class EDynamicPackageDefImpl

extends EPackageDefImpl
implements EDynamicPackageDef

An implementation of the model object ' Dynamic CDO Package Def'.

The following features are implemented:

- `Resource URI`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `RESOURCE_URI_EDEFAULT` The default value of the '`Resource URI`' attribute.
`protected java.lang.String` `resourceURI` The cached value of the '`Resource URI`' attribute.

Fields inherited from class org.eclipse.emf.cdo.defs.impl.EPackageDefImpl
`NS_URI_EDEFAULT, nsURI`

Fields inherited from class org.eclipse.net4j.util.defs.impl.DefImpl
`instanceListener, touchedAdapter`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EDynamicPackageDefImpl()`

Method Summary
`protected java.lang.Object` `createInstance()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getResourceURI()`
`void` `setResourceURI(java.lang.String newResourceURI)`
`java.lang.String` `toString()`
`protected void` `validateDefinition()`

Methods inherited from class org.eclipse.emf.cdo.defs.impl.EPackageDefImpl
`getNsURI, setNsURI`

Methods inherited from class org.eclipse.net4j.util.defs.impl.DefImpl
`activateInstance, areReferencedDefsTouched, deactivateInstance, getInstance, getInternalInstance, handleDeactivation, isSetInstance, isTouched, unsetInstance, unwireInstance, wireInstance`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.cdo.defs.EPackageDef
`getNsURI, setNsURI`

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### RESOURCE_URI_EDEFAULT

    protected static final java.lang.String RESOURCE_URI_EDEFAULT

  The default value of the '`Resource URI`' attribute.

  See Also:
    `getResourceURI()`

### resourceURI

    protected java.lang.String resourceURI

  The cached value of the '`Resource URI`' attribute.

  See Also:
    `getResourceURI()`

Constructor Detail

### EDynamicPackageDefImpl

    protected EDynamicPackageDefImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EPackageDefImpl`

### getResourceURI

    public java.lang.String getResourceURI()

  Specified by:
    `getResourceURI` in interface `EDynamicPackageDef`
  Returns:
    the value of the 'Resource URI' attribute.
  See Also:
    `EDynamicPackageDef.setResourceURI(String)`, `CDODefsPackage.getEDynamicPackageDef_ResourceURI()`

### setResourceURI

    public void setResourceURI(java.lang.String newResourceURI)

  Specified by:
    `setResourceURI` in interface `EDynamicPackageDef`
  Parameters:
    `newResourceURI` - the new value of the 'Resource URI' attribute.
  See Also:
    `EDynamicPackageDef.getResourceURI()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `EPackageDefImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `EPackageDefImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `EPackageDefImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `EPackageDefImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EPackageDefImpl`

### createInstance

    protected java.lang.Object createInstance()

  Specified by:
    `createInstance` in class `org.eclipse.net4j.util.defs.impl.DefImpl`

### validateDefinition

    protected void validateDefinition()

  Overrides:
    `validateDefinition` in class `EPackageDefImpl`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.